Bug 1702804 - [RFE] hide puppet tabs, dashboard, reports, etc. when not wanting to use puppet for hosts
Summary: [RFE] hide puppet tabs, dashboard, reports, etc. when not wanting to use pupp...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Puppet
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-24 19:30 UTC by Scott Parker
Modified: 2021-12-01 03:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15574 0 Normal New Hide Puppet-related options 2020-09-25 08:24:50 UTC

Description Scott Parker 2019-04-24 19:30:20 UTC
Description of problem: The ability for the GUI to not show anything puppet related.  This could be a installer flag or a setting in the GUI, to turn off in create host, host group and even on the dashboard page, to hide the puppet tabs, puppet reports, etc.  Even though puppet is need by satellite the customers hosts are not using puppet ever.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:

No reports, no dashboard boxes, no tabs appear when "hide puppet" is enabled.


Additional info:

Comment 3 Ondřej Pražák 2019-11-19 12:28:23 UTC
Connecting redmine issue https://projects.theforeman.org/issues/15574 from this bug

Comment 4 Bryan Kearney 2020-05-01 14:23:10 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.


Note You need to log in before you can comment on or make changes to this bug.